Subject: Re: dummy ethernet devices and sysfs

From: Stephen Hemminger <[email-masked]>
Date: Wed, 13 Jan 2016 12:16:09 -0800

On Wed, 13 Jan 2016 11:58:01 -0800
Warren Turkal <[email-masked]> wrote:

> Hi,
> 
> I was looking through sysfs today, and something interesting jumped
> out at me after I loaded the dummy module.
> 
> This directory exists: /sys/class/net/wlp2s0/device/
> 
> This directory does not: /sys/class/net/dummy0/device/
> 
> I can find the module that is providing the wlp2s0 device with the following:
> $ ls /sys/class/net/wlp2s0/device/driver/module/drivers/
> pci:iwlwifi
> 
> Shouldn't dummy have something similar so that one can figure out
> which module is providing the dummy0 device?
> 
> FWIW, I am running the latest Ubuntu 15.10 kernel (4.2.0-23-generic).
> 
> Thanks,
> wt

If you look carefully at the /sys/class/net/wlp2s0/device/ you will
see it is a symlink to the underlying /sys directory for the hardware (PCI)
device.  Since dummy (and other virtual interfaces) have no hardware,
there is no symlink.